Update, that kernel DOES NOT work with the Media Server Studio.

It segfaults in libva here:
https://github.com/intel/libva/blob/libva-1.6.1.pre1/va/va.c#L1003

On Thu, Mar 1, 2018 at 8:07 AM, Paul Knopf <pauldotkn...@gmail.com> wrote:

> I am currently using the meta-intel layer and the linux-intel kernel. I
> was wondering if it is expected to work with Intel Media Server Studio. It
> has an i915 kernel driver, but I'm not sure if it will be compatible with
> the vaapi plugin (iHD_drv_video.so).
>
> On Wed, Feb 28, 2018 at 9:07 PM, Anuj Mittal <anuj.mit...@intel.com>
> wrote:
>
>> On 03/01/2018 04:14 AM, Paul Knopf wrote:
>> > https://github.com/intel/linux-intel-lts
>> >
>> > I know Intel recommends a specific vanilla kernel with provided patches,
>> > but I'm wondering if this kernel repo has the patches and is expected to
>> > work.
>> >
>> > Anybody?
>> >
>> >
>>
>> This kernel is called linux-intel in meta-intel. The 4.9 and 4.14
>> branches from this are currently available in BSP master branch.
>>
>> https://git.yoctoproject.org/cgit/cgit.cgi/meta-intel/tree/r
>> ecipes-kernel/linux/linux-intel.inc
>>
>> There are two kernels providers available in meta-intel BSPs:
>> linux-intel and linux-yocto.
>>
>> You can switch between these two using:
>>
>> PREFERRED_PROVIDER_virtual/kernel = "linux-intel"
>>
>> This is currently the default and is defined here:
>>
>> https://git.yoctoproject.org/cgit/cgit.cgi/meta-intel/tree/c
>> onf/machine/include/meta-intel.inc
>>
>> Thanks,
>> Anuj
>>
>>
>>
>>
>
-- 
_______________________________________________
meta-intel mailing list
meta-intel@yoctoproject.org
https://lists.yoctoproject.org/listinfo/meta-intel

Reply via email to